#!/usr/bin/make -f

-include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=swiftclient

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
		PYBUILD_TEST_ARGS="cd {build_dir} ; {interpreter} -m stestr run" \
		dh_auto_test

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-swiftclient-doc/usr/share/doc/python-swiftclient/html
	dh_sphinxdoc
endif
